Bug 1014326 - Adding a new VM and choosing the OS of any linux, prevents you from changing the time zone.
Adding a new VM and choosing the OS of any linux, prevents you from changing ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.5.0
Assigned To: Martin Betak
Pavel Novotny
virt
:
Depends On:
Blocks: 902298 rhev3.5beta 1156165
  Show dependency treegraph
 
Reported: 2013-10-01 13:43 EDT by Bill Sanford
Modified: 2015-07-10 03:33 EDT (History)
16 users (show)

See Also:
Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-11 12:55:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 26891 master MERGED frontend: Enable edit of time zone for Linux OS Never

  None (edit)
Description Bill Sanford 2013-10-01 13:43:25 EDT
Description of problem:
Create a new VM and in the "New Virtual Machine" dialog box, if you choose any RHEL or linux OS, the Time Zone is grayed out and stuck on the default TZ of GMT and you can not change it to the appropriate TZ. If you choose Windows as the VM, you can choose the TZ.

Version-Release number of selected component (if applicable):
RHEV-M 3.3 (is16)

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Bill Sanford 2013-10-01 13:46:59 EDT
I was also running the whole RHEV-M setup on RHEL 6.4 GA.
Comment 2 Itamar Heim 2013-10-01 16:32:47 EDT
why regression? this is the same as 3.2.
why testblocker? what is it preventing you from testing?

timezone via initial boot is only for sysprep/windows.
runonce has cloud-init timezone support for linux.

maybe worth cleaning up a bit more by merging the fields/flows between the different OSs / making it clear if using the sysprep provisioning or the cloud-init provisioning
Comment 3 Michal Skrivanek 2014-01-31 06:10:30 EST
sysprep/cloudinit is supposed to be taken care of by "vminit" feature in 3.4.
the actual VM's start time still behaves the same…maybe time to allow to change it anytime and allow for Linux as well
Comment 4 Michal Skrivanek 2014-02-28 03:05:33 EST
side note: the TZ setting actually works now with bug 1062615 fixed.

I'm keeping this bug for the enhancement to un-gray the TZ selection for Linux OSes. There needs to be a (?) thingie to explain the default should be UTC as most Linux setups expect BIOS time in UTC. 
I'd probably reset the TZ on OS change from Win to Linux to UTC 

(targeting 3.5, the original problem is to be solved in the guest by setting the right TZ, which is an offset from UTC)
Comment 5 Pavel Novotny 2014-08-07 08:16:09 EDT
Verified in ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch (rc1).

Time zone can be changed for all VMs with Linux-based OS: Other OS, Linux, Debian, FreeBSD, RHEL, SUSE, Ubuntu.
Comment 7 errata-xmlrpc 2015-02-11 12:55:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html

Note You need to log in before you can comment on or make changes to this bug.